Package com.avaya.clientservices.agent

## Class AgentConfiguration

- java.lang.Object
- - com.avaya.clientservices.agent.AgentConfiguration

-     public class AgentConfiguration
      extends java.lang.Object

  User configuration information for the Agent service. This class provides configuration and preference data for the Agent service features.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AgentConfiguration()` | A default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAutoLogoutReasonCode()` | Get logout reason code for automatic agent logout.
    `boolean` | `isAutoLoginOnStart()` | Get the flag indicating whether the agent should be automatically logged in upon service start.
    `boolean` | `isAutoLogoutOnStop()` | Get the flag indicating whether the agent should be automatically logged out as part of graceful service shutdown.
    `void` | `setAutoLoginOnStart​(boolean autoLoginOnStart)` | Set the flag indicating whether the agent should be automatically logged in upon service start.
    `void` | `setAutoLogoutOnStop​(boolean autoLogoutOnStop)` | Set the flag indicating whether the agent should be automatically logged out as part of graceful service shutdown.
    `void` | `setAutoLogoutReasonCode​(int autoLogoutReasonCode)` | Set logout reason code for automatic agent logout.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentConfiguration

          public AgentConfiguration()

      A default constructor.

  - ### Method Detail

    - #### setAutoLoginOnStart

          public void setAutoLoginOnStart​(boolean autoLoginOnStart)

      Set the flag indicating whether the agent should be automatically logged in upon service start. The AutoLogin preference is set to false by default.
      Parameters:
        `autoLoginOnStart` - Automatic agent login preference.

    - #### isAutoLoginOnStart

          public boolean isAutoLoginOnStart()

      Get the flag indicating whether the agent should be automatically logged in upon service start. The AutoLogin preference is set to false by default.
      Returns:
        Automatic agent login preference.

    - #### setAutoLogoutOnStop

          public void setAutoLogoutOnStop​(boolean autoLogoutOnStop)

      Set the flag indicating whether the agent should be automatically logged out as part of graceful service shutdown. The AutoLogout preference is set to true by default.
      Parameters:
        `autoLogoutOnStop` - Automatic agent logout preference.

    - #### isAutoLogoutOnStop

          public boolean isAutoLogoutOnStop()

      Get the flag indicating whether the agent should be automatically logged out as part of graceful service shutdown. The AutoLogout preference is set to true by default.
      Returns:
        Automatic agent logout preference.

    - #### setAutoLogoutReasonCode

          public void setAutoLogoutReasonCode​(int autoLogoutReasonCode)

      Set logout reason code for automatic agent logout. The reason code is set to 0 by default.
      Parameters:
        `autoLogoutReasonCode` - Reason code for automatic agent logout.

    - #### getAutoLogoutReasonCode

          public int getAutoLogoutReasonCode()

      Get logout reason code for automatic agent logout. The reason code is set to 0 by default.
      Returns:
        Reason code for automatic agent logout.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`